package utilities.test;

import utilities.*;
import junit.framework.TestCase;


public class ArrayUtils_Test extends TestCase {
    ArrayUtils au = ArrayUtils.Singleton;
    
    public void test_ArrayUtils() {
        Integer[] a1 = {};
        Integer[] a2 = {};
        
        assertTrue("[]", au.isEqual(a1, a2));
        
        Integer[] b1 = {1};
        assertFalse("[1] vs. []", au.isEqual(b1, a2));
        
        Integer[] b2 = {1};
        assertTrue("[1] vs. [1]", au.isEqual(b1, b2));
        
        Integer[] b2a = {2};
        assertFalse("[1] vs. [2]", au.isEqual(b1, b2a));
        
        Integer[] c1 = {1, 2};
        assertFalse("[1, 2] vs. [1]", au.isEqual(c1, b2));
        
        Integer[] c2 = {1, 2};
        assertTrue("[1, 2] vs. [1, 2]", au.isEqual(c1, c2));
        
        Integer[] c2a = {1, 3};
        assertFalse("[1, 2] vs. [1, 3]", au.isEqual(c1, c2a));
    }
    
}
