package brs.visitor.test;

import brs.*;
import brs.visitor.*;
import junit.framework.TestCase;

/**
 * For now, just printing out the results for visual inspection.
 */
public class TestBSTFindNext extends TestCase {
    
    /**
     */
    public void testNonEmptyCase() {
        BiTree t = new BiTree();
        IVisitor insert = new BSTInserter();
        IVisitor findnext = new BSTFindNext();
        
        t.execute(insert, 57);
        t.execute(insert, 33);
        t.execute(insert, 78);
        t.execute(insert, 63);
        t.execute(insert, 91);
        t.execute(insert, 59);
        t.execute(insert, 71);
        t.execute(insert, 70);
        System.out.println("Given the tree:\n" + t + '\n');
        System.out.println("\nFindNext 63:\n" + t.execute(findnext, 63));
        System.out.println("\nFindNext 71:\n" + t.execute(findnext, 71));
        System.out.println("\nFindNext 60:\n" + t.execute(findnext, 60));
        System.out.println("\nFindNext 91:\n" + t.execute(findnext, 91));
    }
    
}
