package tree;

abstract class ATreeNode {
    abstract Object getRoot(Tree owner) ;
    
    abstract void setRoot(Tree owner, Object dat);
    
    abstract void insertRoot(Tree owner, Object dat);
    
    abstract void remRoot(Tree owner);
    
    abstract Tree get_leftMostChild(Tree owner) ;
    
    abstract void set_leftMostChild(Tree owner, Tree lmc);
    
    abstract Tree get_rightSibling(Tree owner) ;
    
    abstract void set_rightSibling(Tree owner, Tree rs);

    abstract Object execute(Tree host, ITreeVis v, Object... inp);
}

