package tree;

/**
 * Visitor representing algorithms that can be performed on the host Tree.
 */
public interface ITreeVis {
    /**
     * To be called by an empty host Tree.
     */
    public Object emptyCase(Tree host, Object...inp);
    
    
    /**
     * To be called by a non-empty host Tree.
     */
    public Object nonMTCase(Tree host, Object...inp);
}